Remove thunderbird from s390x

Bug #1720422 reported by Jeremy Bicha on 2017-09-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox-kwallet5 (Ubuntu)
Undecided
Unassigned
thunderbird (Ubuntu)
Undecided
Unassigned

Bug Description

Thunderbird 52 fails to build on s390x. Since Firefox doesn't build on s390x and s390x is not supported for Ubuntu Desktop, it looks like we should drop thunderbird on s390x like we did for Firefox.

$ reverse-depends -a s390x src:thunderbird
Reverse-Recommends
==================
* lxqt (for thunderbird) the dependency is satisfied:
 thunderbird | claws-mail | mutt
* ubuntu-mate-desktop (for xul-ext-gdata-provider)
* ubuntu-mate-desktop (for xul-ext-calendar-timezones)
* ubuntu-mate-desktop (for thunderbird)
* ubuntu-mate-desktop (for thunderbird-gnome-support)
* ubuntu-mate-desktop (for xul-ext-lightning)
* ubuntukylin-desktop (for thunderbird)
* ubuntukylin-desktop (for thunderbird-locale-zh-cn)
* ubuntukylin-desktop (for thunderbird-gnome-support)
* ubuntustudio-desktop (for thunderbird)
* unity-session (for thunderbird-gnome-support) arch:all
* xubuntu-desktop (for thunderbird)
* xul-ext-colorediffs (for thunderbird) arch:all

Reverse-Depends
===============
* cinnamon-desktop-environment (for thunderbird) the dependency is satisfied:
icedove | thunderbird | evolution | geary
* enigmail (for thunderbird) arch:all
* thunderbird-locale-dsb (for thunderbird) actually from src:thunderbird
* thunderbird-locale-zh-hans (for thunderbird) actually from src:thunderbird
* thunderbird-locale-zh-hant (for thunderbird) actually from src:thunderbird
* ubuntu-defaults-zh-cn (for thunderbird-locale-zh-cn) arch:all
* xul-ext-exteditor (for thunderbird) arch:all
* xul-ext-kwallet5 (for thunderbird)
* xul-ext-mozvoikko (for thunderbird) arch:all
* xul-ext-password-editor (for thunderbird) arch:all
* xul-ext-tbdialout (for thunderbird) arch:all
* xul-ext-torbirdy (for thunderbird) arch:all
* xul-ext-ublock-origin (for thunderbird) arch:all

$ reverse-depends -b src:thunderbird
No reverse dependencies found

The *ubuntu*-desktop metapackages just need to be rebuilt once thunderbird/s390x is removed.

That leaves source firefox-kwallet5 (xul-ext-kwallet5). We can rebuild that with a build-depends on firefox | thunderbird which will make it unbuildable on s390x.

Therefore please remove all the thunderbird binaries and xul-ext-kwallet5 from s390x.

Jeremy Bicha (jbicha) wrote :

Chris, does this sound ok to you?

Changed in thunderbird (Ubuntu):
assignee: nobody → Chris Coulson (chrisccoulson)
Jeremy Bicha (jbicha) on 2017-09-29
Changed in thunderbird (Ubuntu):
status: New → Incomplete
Jeremy Bicha (jbicha) on 2017-10-04
description: updated
Jeremy Bicha (jbicha) on 2017-10-06
Changed in thunderbird (Ubuntu):
assignee: Chris Coulson (chrisccoulson) → nobody
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox-kwallet5 - 1.3-1ubuntu1

---------------
firefox-kwallet5 (1.3-1ubuntu1) artful; urgency=medium

  * Build-Depend on firefox | thunderbird to not build this package
    on architectures will it won't be installable (LP: #1720422)

 -- Jeremy Bicha <email address hidden> Fri, 06 Oct 2017 11:10:01 -0400

Changed in firefox-kwallet5 (Ubuntu):
status: New → Fix Released
Jeremy Bicha (jbicha) on 2017-10-06
Changed in firefox-kwallet5 (Ubuntu):
status: Fix Released → New
Steve Langasek (vorlon) wrote :

Removing packages from artful:
 xul-ext-kwallet5 1.3-1ubuntu1 in artful s390x
Comment: ANAIS
1 package successfully removed.

Changed in firefox-kwallet5 (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :
Download full text (4.4 KiB)

Removing packages from artful:
 thunderbird 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-dbg 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-dev 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-globalmenu 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-gnome-support 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-gnome-support-dbg 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-af 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-ar 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-ast 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-be 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-bg 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-bn 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-br 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-ca 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-cs 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-cy 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-da 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-de 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-dsb 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-el 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-en 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-es 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-et 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-eu 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-fi 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-fr 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-fy 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-ga 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-gd 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-gl 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-he 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-hr 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-hsb 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-hu 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-hy 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-id 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-is 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-it 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-ja 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-ka 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-ko 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-lt 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-mk 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-nb 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-nl 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-nn 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-pa 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-pl 1:45.8.0+build1-0ubuntu1 in artful s390x
 thunderbird-locale-pt 1:45.8.0+build1-0ubuntu1 in art...

Read more...

Changed in thunderbird (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers